D-Bus 1.12.4

Data Fields
ShutdownClosure Struct Reference
D-Bus secret internal implementation details » Memory allocation implementation details

This struct represents a function to be called on shutdown. More...

## Data Fields
ShutdownClosure * | next
| Next ShutdownClosure.
DBusShutdownFunction | func
| Function to call.
void * | data
| Data for function.

## Detailed Description

This struct represents a function to be called on shutdown.

Definition at line 792 of file dbus-memory.c.

## Field Documentation

## ◆ data

void* ShutdownClosure::data

Data for function.

Definition at line 796 of file dbus-memory.c.

Referenced by dbus_shutdown().

## ◆ func

DBusShutdownFunction ShutdownClosure::func

Function to call.

Definition at line 795 of file dbus-memory.c.

Referenced by dbus_shutdown().

## ◆ next

ShutdownClosure* ShutdownClosure::next

Next ShutdownClosure.

Definition at line 794 of file dbus-memory.c.

Referenced by dbus_shutdown().

The documentation for this struct was generated from the following file:

- dbus-memory.c